Skip to main content
GET
/
tenant-auth
/
v1
/
identity-providers
/
{identityProviderId}
Get an identity provider by ID
curl --request GET \
  --url https://api.swarmd.ai/tenant-auth/v1/identity-providers/{identityProviderId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "providerType": "<string>",
  "alias": "<string>",
  "displayName": "<string>",
  "enabled": true,
  "config": {},
  "groupMappings": {},
  "emailDomains": [
    "<string>"
  ],
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

identityProviderId
string<uuid>
required

Response

200 - */*

OK

id
string<uuid>
tenantId
string<uuid>
providerType
string
alias
string
displayName
string
enabled
boolean
config
object
groupMappings
object
emailDomains
string[]
createdBy
string<uuid>
createdAt
string<date-time>
updatedAt
string<date-time>